=== debian/control ===
Source: kernel-source-2.4.17
Section: devel
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Standards-Version: 3.5.6
Build-Depends: bzip2, debhelper, libz-dev, kernel-package (>= 7.48)

Package: mkcramfs
Architecture: any
Depends: ${shlibs:Depends}
Section: utils
Priority: optional
Description: Make a CramFs (Compressed ROM File System)
 mkcramfs lets you construct a CramFs (Compressed ROM File System) image from
 the contents of a given directory.  Cram file systems are used for Debian
 INITRD images.

Package: kernel-source-2.4.17
Architecture: all
Section: devel
Priority: optional
Provides: kernel-source, kernel-source-2.4
Depends: binutils, bzip2, fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package
Description: Linux kernel source for version 2.4.17
 This package provides the source code for the Linux kernel version 2.4.17.
 .
 You may configure the kernel to your setup by typing "make config"
 and following instructions, but you could get ncursesX.X-dev and
 tkX.X-dev and try "make menuconfig" for a jazzier, and easier to use
 interface. Also, please read the detailed documentation in the file
 /usr/share/doc/kernel-source-2.4.17/README.headers.gz. 
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages. 

Package: kernel-doc-2.4.17
Architecture: all
Section: doc
Priority: optional
Provides: kernel-doc-2.4
Depends: fileutils (>= 4.0)
Description: Linux kernel specific documentation for version 2.4.17.
 This package provides The various readme's in the 2.4.17 kernel
 Documentation/ subdirectory: these typically contain kernel-specific
 installation notes for some drivers for example. See
 /usr/share/doc/kernel-doc-X.X.XX/Documentation/00-INDEX for a list of what
 is contained in each file.  Please read the Changes file, as it
 contains information about the problems, which may result by
 upgrading your kernel.
